Search Modaic documentation

Find a Modaic guide or API reference

Reference›API›Resources

List resources

List uploaded resources at a fixed revision.

GET/v1/workspaces/{workspace}/resources

Authorization

Authorizationstringrequired

Send a Modaic bearer token in the Authorization header.

Path Parameters

workspacestringrequired

User or organization workspace slug that owns the resource.

Query Parameters

commitShastring
Optional 40-character lowercase hex resource revision.
kinddataset | eval-only-dataset | artifact
Optional filter.
globstring
Optional resource-name glob using * and ?, such as security-*.
cursorstring
For another page, pass nextCursor and the same commitSha.

Response

resourcesarray
commitShastring | null
Revision used for this listing.
nextCursorstring | null
Null on the last page.
Was this page helpful?